;;;; lolevel-library.scm

(declare
  (uses lolevel)
  (disable-interrupts)
  (fixnum)
  (compress-literals 10) )

(library "chicken://lolevel" "scheme://chicken" 

  (import-primitives
   pointer-s8-ref
   allocate
   byte-vector-fill!
   global-bound?
   pointer-s32-ref
   pointer->address
   object-evict-to-location
   tagged-pointer?
   pointer?
   null-pointer?
   make-weak-locative
   make-locative
   pointer-u32-ref
   unbound-variable-value
   pointer->object
   locative->object
   block-set!
   pointer=?
   byte-vector->string
   block-ref
   object-size
   number-of-bytes
   pointer-f64-set!
   locative?
   pointer-s8-set!
   record->vector
   invalid-procedure-call-handler
   byte-vector->list
   locative-set!
   record-instance?
   make-record-instance
   procedure-data
   free
   pointer-u8-set!
   pointer-s16-set!
   pointer-u16-set!
   number-of-slots
   global-set!
   pointer-f64-ref
   global-make-unbound!
   pointer-s16-ref
   object-evicted?
   object-release
   executable-byte-vector->procedure
   extend-procedure
   object-become!
   extended-procedure?
   pointer-u16-ref
   pointer-f32-ref
   set-procedure-data!
   byte-vector-length
   object-evict
   align-to-word
   byte-vector-ref
   locative-ref
   pointer-offset
   pointer-u8-ref
   pointer-tag
   move-memory!
   object-unevict
   invoke-executable-byte-vector
   make-executable-byte-vector
   make-static-byte-vector
   string->byte-vector
   list->byte-vector
   byte-vector
   make-byte-vector
   byte-vector?
   global-ref
   pointer-f32-set!
   pointer-s32-set!
   pointer-u32-set!
   byte-vector-set!
   static-byte-vector->pointer
   tag-pointer
   object->pointer
   address->pointer
   null-pointer
   object-copy)

  (export
   pointer-s8-ref
   allocate
   byte-vector-fill!
   global-bound?
   pointer-s32-ref
   pointer->address
   object-evict-to-location
   tagged-pointer?
   pointer?
   null-pointer?
   make-weak-locative
   make-locative
   pointer-u32-ref
   unbound-variable-value
   pointer->object
   locative->object
   block-set!
   pointer=?
   byte-vector->string
   block-ref
   object-size
   number-of-bytes
   pointer-f64-set!
   locative?
   pointer-s8-set!
   record->vector
   invalid-procedure-call-handler
   byte-vector->list
   locative-set!
   record-instance?
   make-record-instance
   procedure-data
   free
   pointer-u8-set!
   pointer-s16-set!
   pointer-u16-set!
   number-of-slots
   global-set!
   pointer-f64-ref
   global-make-unbound!
   pointer-s16-ref
   object-evicted?
   object-release
   executable-byte-vector->procedure
   extend-procedure
   object-become!
   extended-procedure?
   pointer-u16-ref
   pointer-f32-ref
   set-procedure-data!
   byte-vector-length
   object-evict
   align-to-word
   byte-vector-ref
   locative-ref
   pointer-offset
   pointer-u8-ref
   pointer-tag
   move-memory!
   object-unevict
   invoke-executable-byte-vector
   make-executable-byte-vector
   make-static-byte-vector
   string->byte-vector
   list->byte-vector
   byte-vector
   make-byte-vector
   byte-vector?
   global-ref
   pointer-f32-set!
   pointer-s32-set!
   pointer-u32-set!
   byte-vector-set!
   static-byte-vector->pointer
   tag-pointer
   object->pointer
   address->pointer
   null-pointer
   object-copy))

