;;;; r6rs-libraries.scm


(use r6rs-libraries-base scheme-syntax-case)

(library "scheme://r6rs" "scheme://srfi-72"
  (export ;; R5RS Scheme minus macros and literals:
                        
                        * 
                        + 
                        - 
                        ;; ...
                        /  
                        < 
                        <= 
                        = 
                        ;; =>   
                        > 
                        >= 
                        abs 
                        acos 
                        and 
                        append 
                        apply 
                        asin 
                        assoc
                        assq
                        assv
                        atan
                        begin
                        boolean?
                        caar
                        cadr
                        call-with-current-continuation
                        call-with-input-file
                        call-with-output-file
                        call-with-values
                        case
                        car
                        cdr
                        caar
                        cadr
                        cdar
                        cddr
                        caaar
                        caadr
                        cadar
                        caddr
                        cdaar
                        cdadr
                        cddar
                        cdddr
                        caaaar
                        caaadr
                        caadar
                        caaddr
                        cadaar
                        cadadr
                        caddar
                        cadddr
                        cdaaar
                        cdaadr
                        cdadar
                        cdaddr
                        cddaar
                        cddadr
                        cdddar
                        cddddr
                        ceiling
                        char->integer
                        char-alphabetic?
                        char-ci<=?
                        char-ci<?
                        char-ci=?
                        char-ci>=?
                        char-ci>?
                        char-downcase
                        char-lower-case?
                        char-numeric?
                        char-ready?
                        char-upcase
                        char-upper-case?
                        char-whitespace?
                        char<=?
                        char<?
                        char=?
                        char>=?
                        char>?
                        char?
                        close-input-port
                        close-output-port
                        complex?
                        cond
                        cons
                        cos
                        current-input-port
                        current-output-port
                        define
                        ;; define-syntax
                        delay
                        denominator
                        display
                        do
                        dynamic-wind
                        ;; else            
                        eof-object?
                        eq?
                        equal?
                        eqv?
                        error
                        eval
                        even?
                        exact->inexact
                        exact?
                        exp
                        expt
                        floor
                        for-each
                        force
                        gcd
                        if
                        imag-part
                        inexact->exact
                        inexact?
                        input-port?
                        integer->char
                        integer?
                        interaction-environment
                        lambda
                        lcm
                        length
                        let
                        let*
                        ;; let-syntax
                        letrec
                        ;; letrec-syntax
                        list
                        list->string
                        list->vector
                        list-ref
                        list-tail
                        list?
                        load
                        log
                        magnitude
                        make-polar
                        make-rectangular
                        make-string
                        make-vector
                        map
                        max
                        member
                        memq
                        memv
                        min
                        modulo
                        negative?
                        newline
                        not
                        null-environment
                        null?
                        number->string
                        number?
                        numerator
                        odd?
                        open-input-file
                        open-output-file
                        or
                        output-port?
                        pair?
                        peek-char
                        port?
                        positive?
                        procedure?
                        quasiquote
                        quote
                        quotient
                        rational?
                        rationalize
                        read
                        read-char
                        real-part
                        real?
                        remainder
                        reverse
                        round
                        scheme-report-environment
                        set!
                        set-car!
                        set-cdr!
                        sin
                        sqrt
                        string
                        string->list
                        string->number
                        string->symbol
                        string-append
                        string-ci<=?
                        string-ci<?
                        string-ci=?
                        string-ci>=?
                        string-ci>?
                        string-copy
                        string-fill!
                        string-length
                        string-ref
                        string-set!
                        string<=?
                        string<?
                        string=?
                        string>=?
                        string>?
                        string?
                        substring
                        symbol->string
                        symbol?
                        ;; syntax-rules
                        tan
                        transcript-off
                        transcript-on
                        truncate
                        ;; unquote
                        ;; unquote-splicing
                        values
                        vector
                        vector->list
                        vector-fill!
                        vector-length
                        vector-ref
                        vector-set!
                        vector?
                        with-input-from-file
                        with-output-to-file
                        write
                        write-char
                        zero?
                        
                        ;; Additions for macros and libraries:
                        
                        define-syntax
                        let-syntax
                        letrec-syntax
                        set-syntax!
                        
                        syntax
                        quasisyntax
                        embedded-syntax
                        identifier?
                        bound-identifier=?
                        free-identifier=?
                        literal-identifier=?
                        
                        make-capturing-identifier
                        datum->syntax-object       
                        syntax-object->datum
                        
                        begin-for-syntax
                        around-syntax
			syntax-error
                        
                        library   
                        import
			export
			indirect-export
			import-primitives

			syntax
			quasisyntax
			syntax-case
			with-syntax
			syntax-rules)
    
	   (import (for "scheme://chicken" all))
	   (import (for "scheme://syntax-case" all)) )
