;;;; regex-library.scm

(declare
  (uses regex)
  (disable-interrupts)
  (fixnum)
  (compress-literals 10) )

(library "chicken://regex" "scheme://chicken" 

  (import-primitives
   string-substitute
   pattern->regexp
   regexp-escape
   regexp
   string-search-positions
   string-match-positions
   utf8-start-byte->length
   string-match
   regexp?
   string-ref-at-byte
   string-substitute*
   re-translate-pattern
   white-space-ignore-pattern
   utf8-pattern->byte-pattern
   extract-bit-field
   string-split-fields
   string-search
   grep)

  (export
   string-substitute
   pattern->regexp
   regexp-escape
   regexp
   string-search-positions
   string-match-positions
   utf8-start-byte->length
   string-match
   regexp?
   string-ref-at-byte
   string-substitute*
   re-translate-pattern
   white-space-ignore-pattern
   utf8-pattern->byte-pattern
   extract-bit-field
   string-split-fields
   string-search
   grep) )
