;;; srfi-1-library.scm

(declare
  (uses srfi-1)
  (disable-interrupts)
  (fixnum)
  (compress-literals 10) )
 
(library "scheme://srfi-1" "scheme://chicken"

  (import-primitives
   zip
   map-in-order
   drop-right!
   span
   count
   lset-difference!
   tenth
   unzip1
   unzip2
   unzip3
   unzip4
   unzip5
   span!
   fifth
   remove
   append-map!
   first
   null-list?
   delete
   take
   delete-duplicates!
   filter!
   take-while!
   alist-delete!
   delete!
   list=
   filter-map
   reduce
   take!
   fold
   split-at!
   make-list
   break!
   unfold
   last
   reduce-right
   take-right
   lset-union
   take-while
   length+
   eighth
   not-pair?
   partition
   lset-xor
   iota
   pair-for-each
   cons*
   concatenate!
   append-reverse
   last-pair
   car+cdr
   ninth
   reverse!
   append-reverse!
   sixth
   filter
   alist-delete
   lset-adjoin
   delete-duplicates
   lset<=
   drop-right
   drop-while
   map!
   concatenate
   assoc
   partition!
   seventh
   find-tail
   lset-xor!
   lset=
   circular-list?
   proper-list?
   third
   append-map
   lset-union!
   lset-diff+intersection!
   lset-intersection!
   xcons
   find
   pair-fold-right
   fold-right
   unfold-right
   fourth
   lset-diff+intersection
   lset-intersection
   list-index
   pair-fold
   dotted-list?
   drop
   remove!
   map
   split-at
   second
   circular-list
   lset-difference
   break
   any
   member
   every
   append!
   alist-cons
   alist-copy
   list-copy
   list-tabulate)

  (export
   zip
   map-in-order
   drop-right!
   span
   count
   lset-difference!
   tenth
   unzip1
   unzip2
   unzip3
   unzip4
   unzip5
   span!
   fifth
   remove
   append-map!
   first
   null-list?
   delete
   take
   delete-duplicates!
   filter!
   take-while!
   alist-delete!
   delete!
   list=
   filter-map
   reduce
   take!
   fold
   split-at!
   make-list
   break!
   unfold
   last
   reduce-right
   take-right
   lset-union
   take-while
   length+
   eighth
   not-pair?
   partition
   lset-xor
   iota
   pair-for-each
   cons*
   concatenate!
   append-reverse
   last-pair
   car+cdr
   ninth
   reverse!
   append-reverse!
   sixth
   filter
   alist-delete
   lset-adjoin
   delete-duplicates
   lset<=
   drop-right
   drop-while
   map!
   concatenate
   assoc
   partition!
   seventh
   find-tail
   lset-xor!
   lset=
   circular-list?
   proper-list?
   third
   append-map
   lset-union!
   lset-diff+intersection!
   lset-intersection!
   xcons
   find
   pair-fold-right
   fold-right
   unfold-right
   fourth
   lset-diff+intersection
   lset-intersection
   list-index
   pair-fold
   dotted-list?
   drop
   remove!
   map
   split-at
   second
   circular-list
   lset-difference
   break
   any
   member
   every
   append!
   alist-cons
   alist-copy
   list-copy
   list-tabulate))
