;;;; srfi-13-library.scm

(declare
  (uses srfi-13)
  (disable-interrupts)
  (fixnum)
  (compress-literals 10) )

(library "scheme://srfi-13" "scheme://chicken"

  (import-primitives
   string-trim-right
   string-titlecase
   string-contains-ci
   string-pad
   string<=
   string<>
   string-fold
   string>=
   string-prefix?
   string-xcopy!
   string-upcase
   string-compare
   string-every
   string-ci<=
   string-ci<>
   string->list
   string-ci>=
   string-suffix-ci?
   string-prefix-ci?
   string-upcase!
   string-count
   string-parse-final-start+end
   string-parse-start+end
   kmp-step
   string-concatenate-reverse/shared
   string-concatenate/shared
   string-append/shared
   substring/shared
   string-take-right
   string-downcase
   string-trim-both
   string-trim
   string-map!
   string-skip
   string-index
   string-compare-ci
   string-for-each
   string-replace
   string-join
   string-downcase!
   xsubstring
   string-concatenate-reverse
   string-reverse
   string-reverse!
   string-delete
   string-drop
   string-suffix-length-ci
   string-prefix-length-ci
   string-hash
   string-contains
   string-tokenize
   string-skip-right
   string-drop-right
   string-concatenate
   string-unfold
   string-kmp-partial-search
   string-hash-ci
   substring-spec-ok?
   string-suffix-length
   string-prefix-length
   string-map
   string-suffix?
   string-fill!
   string-pad-right
   string-unfold-right
   string-fold-right
   string-any
   check-substring-spec
   string-titlecase!
   string<
   string=
   string>
   string-copy!
   string-null?
   make-kmp-restart-vector
   string-take
   string-ci<
   string-ci=
   string-ci>
   string-filter
   string-index-right
   string-copy
   string-for-each-index
   string-tabulate)

  (export
   string-trim-right
   string-titlecase
   string-contains-ci
   string-pad
   string<=
   string<>
   string-fold
   string>=
   string-prefix?
   string-xcopy!
   string-upcase
   string-compare
   string-every
   string-ci<=
   string-ci<>
   string->list
   string-ci>=
   string-suffix-ci?
   string-prefix-ci?
   string-upcase!
   string-count
   string-parse-final-start+end
   string-parse-start+end
   kmp-step
   string-concatenate-reverse/shared
   string-concatenate/shared
   string-append/shared
   substring/shared
   string-take-right
   string-downcase
   string-trim-both
   string-trim
   string-map!
   string-skip
   string-index
   string-compare-ci
   string-for-each
   string-replace
   string-join
   string-downcase!
   xsubstring
   string-concatenate-reverse
   string-reverse
   string-reverse!
   string-delete
   string-drop
   string-suffix-length-ci
   string-prefix-length-ci
   string-hash
   string-contains
   string-tokenize
   string-skip-right
   string-drop-right
   string-concatenate
   string-unfold
   string-kmp-partial-search
   string-hash-ci
   substring-spec-ok?
   string-suffix-length
   string-prefix-length
   string-map
   string-suffix?
   string-fill!
   string-pad-right
   string-unfold-right
   string-fold-right
   string-any
   check-substring-spec
   string-titlecase!
   string<
   string=
   string>
   string-copy!
   string-null?
   make-kmp-restart-vector
   string-take
   string-ci<
   string-ci=
   string-ci>
   string-filter
   string-index-right
   string-copy
   string-for-each-index
   string-tabulate))
