;;;; srfi-4-library.scm

(declare
  (uses srfi-4)
  (disable-interrupts)
  (fixnum)
  (compress-literals 10) )

(library "scheme://srfi-4" "scheme://chicken"

  (import-primitives
   f64vector->list
   f32vector->list
   s32vector->list
   u32vector->list
   s16vector->list
   u16vector->list
   s8vector->list
   u8vector->list
   subf32vector
   subs32vector
   subu32vector
   byte-vector->f32vector
   byte-vector->s32vector
   byte-vector->u32vector
   f32vector
   s32vector
   u32vector
   list->f32vector
   list->s32vector
   list->u32vector
   make-f32vector
   make-s32vector
   make-u32vector
   subf64vector
   byte-vector->f64vector
   f64vector
   list->f64vector
   make-f64vector
   f64vector-length
   f32vector-length
   s32vector-length
   u32vector-length
   s16vector-length
   u16vector-length
   s8vector-length
   u8vector-length
   subs16vector
   subu16vector
   byte-vector->s16vector
   byte-vector->u16vector
   s16vector
   u16vector
   list->s16vector
   list->u16vector
   make-s16vector
   make-u16vector
   f64vector-ref
   f32vector-ref
   s32vector-ref
   u32vector-ref
   s16vector-ref
   u16vector-ref
   s8vector-ref
   u8vector-ref
   subs8vector
   subu8vector
   byte-vector->s8vector
   byte-vector->u8vector
   s8vector
   u8vector
   list->s8vector
   list->u8vector
   make-s8vector
   make-u8vector
   release-number-vector
   f64vector->byte-vector
   f32vector->byte-vector
   s32vector->byte-vector
   u32vector->byte-vector
   s16vector->byte-vector
   u16vector->byte-vector
   s8vector->byte-vector
   u8vector->byte-vector
   f64vector?
   f32vector?
   s32vector?
   u32vector?
   s16vector?
   u16vector?
   s8vector?
   u8vector?
   f64vector-set!
   f32vector-set!
   s32vector-set!
   u32vector-set!
   s16vector-set!
   u16vector-set!
   s8vector-set!
   u8vector-set!)

  (export
   f64vector->list
   f32vector->list
   s32vector->list
   u32vector->list
   s16vector->list
   u16vector->list
   s8vector->list
   u8vector->list
   subf32vector
   subs32vector
   subu32vector
   byte-vector->f32vector
   byte-vector->s32vector
   byte-vector->u32vector
   f32vector
   s32vector
   u32vector
   list->f32vector
   list->s32vector
   list->u32vector
   make-f32vector
   make-s32vector
   make-u32vector
   subf64vector
   byte-vector->f64vector
   f64vector
   list->f64vector
   make-f64vector
   f64vector-length
   f32vector-length
   s32vector-length
   u32vector-length
   s16vector-length
   u16vector-length
   s8vector-length
   u8vector-length
   subs16vector
   subu16vector
   byte-vector->s16vector
   byte-vector->u16vector
   s16vector
   u16vector
   list->s16vector
   list->u16vector
   make-s16vector
   make-u16vector
   f64vector-ref
   f32vector-ref
   s32vector-ref
   u32vector-ref
   s16vector-ref
   u16vector-ref
   s8vector-ref
   u8vector-ref
   subs8vector
   subu8vector
   byte-vector->s8vector
   byte-vector->u8vector
   s8vector
   u8vector
   list->s8vector
   list->u8vector
   make-s8vector
   make-u8vector
   release-number-vector
   f64vector->byte-vector
   f32vector->byte-vector
   s32vector->byte-vector
   u32vector->byte-vector
   s16vector->byte-vector
   u16vector->byte-vector
   s8vector->byte-vector
   u8vector->byte-vector
   f64vector?
   f32vector?
   s32vector?
   u32vector?
   s16vector?
   u16vector?
   s8vector?
   u8vector?
   f64vector-set!
   f32vector-set!
   s32vector-set!
   u32vector-set!
   s16vector-set!
   u16vector-set!
   s8vector-set!
   u8vector-set!))

