;;; extras-library.scm

(declare
  (uses extras)
  (disable-interrupts)
  (fixnum)
  (compress-literals 10) )

(library "chicken://extras" "scheme://chicken" 

  (import-primitives
   flip
   hash-table->alist
   substring=?
   sorted?
   hash-table-set!
   queue-last
   sort
   queue->list
   read-line
   merge!
   hash-table-update!
   alist-update!
   alist-ref
   write-line
   tail?
   substring-ci=?
   hash-table-keys
   queue-add!
   string-intersperse
   intersperse
   random
   conc
   disjoin
   string-translate
   sort!
   noop
   randomize
   with-error-output-to-port
   with-output-to-port
   string-split
   hash-table-exists?
   queue-first
   string-translate*
   rassoc
   sprintf
   alist->hash-table
   make-hash-table
   pretty-print
   ->string
   compose
   read-lines
   string-chop
   list->queue
   substring-index
   hash-table-size
   queue-empty?
   butlast
   project
   each
   flatten
   merge
   string-compare3
   identity
   hash-table-ref
   hash-table-ref/default
   chop
   hash-table?
   substring-index-ci
   pp
   queue?
   printf
   atom?
   binary-search
   with-input-from-port
   shuffle
   join
   compress
   make-queue
   with-output-to-string
   with-input-from-string
   call-with-output-string
   call-with-input-string
   write-string
   read-string
   pretty-print-width
   string-compare3-ci
   complement
   make-output-port
   make-input-port
   queue-remove!
   hash-table-delete!
   hash-table-merge!
   hash-table-walk
   hash-table-fold
   string-hash
   string-ci-hash
   hash-table-copy
   hash
   hash-table-values
   read-file
   fprintf
   list-of
   conjoin
   read-token
   constantly
   reverse-string-append)

  (export flip
	  hash-table->alist
	  substring=?
	  sorted?
	  hash-table-set!
	  queue-last
	  sort
	  queue->list
	  read-line
	  merge!
	  hash-table-update!
	  alist-update!
	  alist-ref
	  write-line
	  tail?
	  substring-ci=?
	  hash-table-keys
	  queue-add!
	  string-intersperse
	  intersperse
	  random
	  conc
	  disjoin
	  string-translate
	  sort!
	  noop
	  randomize
	  with-error-output-to-port
	  with-output-to-port
	  string-split
	  hash-table-exists?
	  queue-first
	  string-translate*
	  rassoc
	  sprintf
	  alist->hash-table
	  make-hash-table
	  pretty-print
	  ->string
	  compose
	  read-lines
	  string-chop
	  list->queue
	  substring-index
	  hash-table-size
	  queue-empty?
	  butlast
	  project
	  flatten
	  merge
	  string-compare3
	  identity
	  hash-table-ref
	  hash-table-ref/default
	  chop
	  hash-table?
	  substring-index-ci
	  pp
	  queue?
	  printf
	  atom?
	  binary-search
	  with-input-from-port
	  shuffle
	  join
	  compress
	  make-queue
	  with-output-to-string
	  with-input-from-string
	  call-with-output-string
	  call-with-input-string
	  write-string
	  read-string
	  pretty-print-width
	  string-compare3-ci
	  complement
	  make-output-port
	  make-input-port
	  queue-remove!
	  hash-table-delete!
	  hash-table-merge!
	  hash-table-walk
	  hash-table-fold
	  string-hash
	  string-ci-hash
	  hash-table-copy
	  hash
	  hash-table-values
	  read-file
	  fprintf
	  list-of
	  conjoin
	  read-token
	  constantly
	  reverse-string-append) )
