;;;; srfi-14-library.scm

(declare
  (uses srfi-13 srfi-14)
  (disable-interrupts)
  (fixnum)
  (compress-literals 10) )

(library "scheme://srfi-14" "scheme://chicken"

  (import-primitives
   char-set:graphic
   ucs-range->char-set!
   string->char-set!
   list->char-set!
   char-set:upper-case
   char-set:lower-case
   char-set-copy
   char-set=
   end-of-char-set?
   char-set?
   char-set-difference!
   char-set:printing
   char-set-fold
   char-set:letter+digit
   char-set:ascii
   char-set:punctuation
   char-set-cursor-next
   char-set:hex-digit
   char-set-filter!
   char-set-delete!
   char-set:blank
   char-set-adjoin!
   char-set->string
   ->char-set
   ucs-range->char-set
   string->char-set
   list->char-set
   char-set
   make-char-set
   char-set-union
   char-set-complement!
   char-set:letter
   char-set:digit
   char-set-map
   char-set-xor
   char-set-unfold!
   char-set-size
   char-set-any
   char-set-for-each
   char-set:empty
   char-set-every
   char-set:whitespace
   char-set->list
   char-set:full
   char-set-delete
   char-set-adjoin
   char-set-count
   char-set-unfold
   char-set-hash
   char-set-xor!
   char-set-union!
   char-set-diff+intersection!
   char-set-intersection!
   char-set-diff+intersection
   char-set-intersection
   char-set-complement
   char-set-ref
   char-set:iso-control
   char-set-difference
   char-set:title-case
   char-set:symbol
   char-set-cursor
   char-set<=
   char-set-filter
   char-set:s
   char-set-contains?)

  (export-set:graphic
   ucs-range->char-set!
   string->char-set!
   list->char-set!
   char-set:upper-case
   char-set:lower-case
   char-set-copy
   char-set=
   end-of-char-set?
   char-set?
   char-set-difference!
   char-set:printing
   char-set-fold
   char-set:letter+digit
   char-set:ascii
   char-set:punctuation
   char-set-cursor-next
   char-set:hex-digit
   char-set-filter!
   char-set-delete!
   char-set:blank
   char-set-adjoin!
   char-set->string
   ->char-set
   ucs-range->char-set
   string->char-set
   list->char-set
   char-set
   make-char-set
   char-set-union
   char-set-complement!
   char-set:letter
   char-set:digit
   char-set-map
   char-set-xor
   char-set-unfold!
   char-set-size
   char-set-any
   char-set-for-each
   char-set:empty
   char-set-every
   char-set:whitespace
   char-set->list
   char-set:full
   char-set-delete
   char-set-adjoin
   char-set-count
   char-set-unfold
   char-set-hash
   char-set-xor!
   char-set-union!
   char-set-diff+intersection!
   char-set-intersection!
   char-set-diff+intersection
   char-set-intersection
   char-set-complement
   char-set-ref
   char-set:iso-control
   char-set-difference
   char-set:title-case
   char-set:symbol
   char-set-cursor
   char-set<=
   char-set-filter
   char-set:s
   char-set-contains?))
