;;;; srfi-18-library.scm

(declare
  (uses srfi-18)
  (disable-interrupts)
  (fixnum)
  (compress-literals 10) )

(library "scheme://srfi-18" "scheme://chicken"

  (import-primitives
   uncaught-exception?
   terminated-thread-exception?
   abandoned-mutex-exception?
   join-timeout-exception?
   thread-name
   thread-quantum-set!
   thread-state
   mutex?
   condition-variable-broadcast!
   condition-variable-specific-set!
   mutex-specific-set!
   thread-specific-set!
   thread-resume!
   thread-terminate!
   time->seconds
   thread-start!
   mutex-state
   thread-quantum
   thread-suspend!
   time?
   thread-yield!
   thread-join!
   uncaught-exception-reason
   make-condition-variable
   mutex-name
   raise
   make-mutex
   mutex-unlock!
   current-thread
   make-thread
   mutex-lock!
   condition-variable?
   condition-variable-specific
   mutex-specific
   thread-specific
   thread-deliver-signal!
   condition-variable-signal!
   seconds->time
   thread?
   current-time
   thread-sleep!)

  (export
   uncaught-exception?
   terminated-thread-exception?
   abandoned-mutex-exception?
   join-timeout-exception?
   thread-name
   thread-quantum-set!
   thread-state
   mutex?
   condition-variable-broadcast!
   condition-variable-specific-set!
   mutex-specific-set!
   thread-specific-set!
   thread-resume!
   thread-terminate!
   time->seconds
   thread-start!
   mutex-state
   thread-quantum
   thread-suspend!
   time?
   thread-yield!
   thread-join!
   uncaught-exception-reason
   make-condition-variable
   mutex-name
   raise
   make-mutex
   mutex-unlock!
   current-thread
   make-thread
   mutex-lock!
   condition-variable?
   condition-variable-specific
   mutex-specific
   thread-specific
   thread-deliver-signal!
   condition-variable-signal!
   seconds->time
   thread?
   current-time
   thread-sleep!))
