;;;; utils-library.scm

(declare
  (uses utils)
  (disable-interrupts)
  (fixnum)
  (compress-literals 10) )

(library "chicken://utils" "scheme://chicken"

  (import-primitives 
   system*
   create-temporary-file
   absolute-pathname?
   decompose-pathname
   make-absolute-pathname
   make-pathname
   pathname-file
   pathname-replace-extension
   pathname-strip-extension
   pathname-extension
   pathname-replace-file
   read-all
   delete-file*
   for-each-argv-line
   unshift!
   pathname-replace-directory
   pathname-strip-directory
   pathname-directory
   shift!
   for-each-line)

  (export
   system*
   create-temporary-file
   absolute-pathname?
   decompose-pathname
   make-absolute-pathname
   make-pathname
   pathname-file
   pathname-replace-extension
   pathname-strip-extension
   pathname-extension
   pathname-replace-file
   read-all
   delete-file*
   for-each-argv-line
   unshift!
   pathname-replace-directory
   pathname-strip-directory
   pathname-directory
   shift!
   for-each-line))
